"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ethereum = void 0;
const client_js_1 = require("@open-rpc/client-js");
class Ethereum {
    constructor(endpoint) {
        this.client = this.getClient(endpoint);
    }
    getClient(url) {
        const transport = new client_js_1.HTTPTransport(url);
        const requestManager = new client_js_1.RequestManager([transport]);
        const client = new client_js_1.Client(requestManager);
        return client;
    }
    async netVersion() {
        const result = await this.client.request({
            method: "net_version",
            params: [],
        });
        return result;
    }
}
exports.Ethereum = Ethereum;
